// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.26.0
// 	protoc        v3.13.0
// source: v1/order/model_order.proto

package order

import (
	timestamp "github.com/golang/protobuf/ptypes/timestamp"
	wrappers "github.com/golang/protobuf/ptypes/wrappers"
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

// status
type Order_Status int32

const (
	Order_ACTIVE Order_Status = 0
	Order_REJECT Order_Status = 1
	Order_DONE   Order_Status = 2
)

// Enum value maps for Order_Status.
var (
	Order_Status_name = map[int32]string{
		0: "ACTIVE",
		1: "REJECT",
		2: "DONE",
	}
	Order_Status_value = map[string]int32{
		"ACTIVE": 0,
		"REJECT": 1,
		"DONE":   2,
	}
)

func (x Order_Status) Enum() *Order_Status {
	p := new(Order_Status)
	*p = x
	return p
}

func (x Order_Status) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (Order_Status) Descriptor() protoreflect.EnumDescriptor {
	return file_v1_order_model_order_proto_enumTypes[0].Descriptor()
}

func (Order_Status) Type() protoreflect.EnumType {
	return &file_v1_order_model_order_proto_enumTypes[0]
}

func (x Order_Status) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Use Order_Status.Descriptor instead.
func (Order_Status) EnumDescriptor() ([]byte, []int) {
	return file_v1_order_model_order_proto_rawDescGZIP(), []int{3, 0}
}

type OrderCondition struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// delivery conditions
	DeliveryCondition DeliveryCondition    `protobuf:"varint,1,opt,name=delivery_condition,json=deliveryCondition,proto3,enum=fcp.order.v1.order.DeliveryCondition" json:"delivery_condition,omitempty"`
	DeliveryDate      *timestamp.Timestamp `protobuf:"bytes,2,opt,name=delivery_date,json=deliveryDate,proto3" json:"delivery_date,omitempty"`
	DeliveryPlace     string               `protobuf:"bytes,3,opt,name=delivery_place,json=deliveryPlace,proto3" json:"delivery_place,omitempty"`
	// payment conditions
	PaymentCondition PaymentCondition     `protobuf:"varint,4,opt,name=payment_condition,json=paymentCondition,proto3,enum=fcp.order.v1.order.PaymentCondition" json:"payment_condition,omitempty"`
	PaymentDate      *timestamp.Timestamp `protobuf:"bytes,5,opt,name=payment_date,json=paymentDate,proto3" json:"payment_date,omitempty"`
	// expired at
	ExpiredDate *timestamp.Timestamp `protobuf:"bytes,6,opt,name=expired_date,json=expiredDate,proto3" json:"expired_date,omitempty"`
	// can be alternatives
	Alternatives bool `protobuf:"varint,7,opt,name=alternatives,proto3" json:"alternatives,omitempty"`
	Consulting   bool `protobuf:"varint,8,opt,name=consulting,proto3" json:"consulting,omitempty"`
}

func (x *OrderCondition) Reset() {
	*x = OrderCondition{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_order_model_order_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *OrderCondition) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*OrderCondition) ProtoMessage() {}

func (x *OrderCondition) ProtoReflect() protoreflect.Message {
	mi := &file_v1_order_model_order_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use OrderCondition.ProtoReflect.Descriptor instead.
func (*OrderCondition) Descriptor() ([]byte, []int) {
	return file_v1_order_model_order_proto_rawDescGZIP(), []int{0}
}

func (x *OrderCondition) GetDeliveryCondition() DeliveryCondition {
	if x != nil {
		return x.DeliveryCondition
	}
	return DeliveryCondition_ODC_UNSPECIFIED
}

func (x *OrderCondition) GetDeliveryDate() *timestamp.Timestamp {
	if x != nil {
		return x.DeliveryDate
	}
	return nil
}

func (x *OrderCondition) GetDeliveryPlace() string {
	if x != nil {
		return x.DeliveryPlace
	}
	return ""
}

func (x *OrderCondition) GetPaymentCondition() PaymentCondition {
	if x != nil {
		return x.PaymentCondition
	}
	return PaymentCondition_PC_UNSPECIFIED
}

func (x *OrderCondition) GetPaymentDate() *timestamp.Timestamp {
	if x != nil {
		return x.PaymentDate
	}
	return nil
}

func (x *OrderCondition) GetExpiredDate() *timestamp.Timestamp {
	if x != nil {
		return x.ExpiredDate
	}
	return nil
}

func (x *OrderCondition) GetAlternatives() bool {
	if x != nil {
		return x.Alternatives
	}
	return false
}

func (x *OrderCondition) GetConsulting() bool {
	if x != nil {
		return x.Consulting
	}
	return false
}

type OrderConditionFilter struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// delivery
	DeliveryCondition []DeliveryCondition `protobuf:"varint,1,rep,packed,name=delivery_condition,json=deliveryCondition,proto3,enum=fcp.order.v1.order.DeliveryCondition" json:"delivery_condition,omitempty"`
	DeliveryDate      *TimeRange          `protobuf:"bytes,2,opt,name=delivery_date,json=deliveryDate,proto3" json:"delivery_date,omitempty"`
	// payment
	PaymentCondition []PaymentCondition `protobuf:"varint,3,rep,packed,name=payment_condition,json=paymentCondition,proto3,enum=fcp.order.v1.order.PaymentCondition" json:"payment_condition,omitempty"`
	PaymentDate      *TimeRange         `protobuf:"bytes,4,opt,name=payment_date,json=paymentDate,proto3" json:"payment_date,omitempty"`
	// expired
	ExpiredDate  *TimeRange          `protobuf:"bytes,5,opt,name=expired_date,json=expiredDate,proto3" json:"expired_date,omitempty"`
	Alternatives *wrappers.BoolValue `protobuf:"bytes,6,opt,name=alternatives,proto3" json:"alternatives,omitempty"`
	Consulting   *wrappers.BoolValue `protobuf:"bytes,7,opt,name=consulting,proto3" json:"consulting,omitempty"`
}

func (x *OrderConditionFilter) Reset() {
	*x = OrderConditionFilter{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_order_model_order_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *OrderConditionFilter) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*OrderConditionFilter) ProtoMessage() {}

func (x *OrderConditionFilter) ProtoReflect() protoreflect.Message {
	mi := &file_v1_order_model_order_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use OrderConditionFilter.ProtoReflect.Descriptor instead.
func (*OrderConditionFilter) Descriptor() ([]byte, []int) {
	return file_v1_order_model_order_proto_rawDescGZIP(), []int{1}
}

func (x *OrderConditionFilter) GetDeliveryCondition() []DeliveryCondition {
	if x != nil {
		return x.DeliveryCondition
	}
	return nil
}

func (x *OrderConditionFilter) GetDeliveryDate() *TimeRange {
	if x != nil {
		return x.DeliveryDate
	}
	return nil
}

func (x *OrderConditionFilter) GetPaymentCondition() []PaymentCondition {
	if x != nil {
		return x.PaymentCondition
	}
	return nil
}

func (x *OrderConditionFilter) GetPaymentDate() *TimeRange {
	if x != nil {
		return x.PaymentDate
	}
	return nil
}

func (x *OrderConditionFilter) GetExpiredDate() *TimeRange {
	if x != nil {
		return x.ExpiredDate
	}
	return nil
}

func (x *OrderConditionFilter) GetAlternatives() *wrappers.BoolValue {
	if x != nil {
		return x.Alternatives
	}
	return nil
}

func (x *OrderConditionFilter) GetConsulting() *wrappers.BoolValue {
	if x != nil {
		return x.Consulting
	}
	return nil
}

type OrderResult struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// Deprecated: Do not use.
	OfferId int64 `protobuf:"varint,1,opt,name=offer_id,json=offerId,proto3" json:"offer_id,omitempty"`
	// Deprecated: Do not use.
	DealId int64           `protobuf:"varint,2,opt,name=deal_id,json=dealId,proto3" json:"deal_id,omitempty"`
	Offer  *OperationIdent `protobuf:"bytes,3,opt,name=offer,proto3" json:"offer,omitempty"`
	Deal   *OperationIdent `protobuf:"bytes,4,opt,name=deal,proto3" json:"deal,omitempty"`
}

func (x *OrderResult) Reset() {
	*x = OrderResult{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_order_model_order_proto_msgTypes[2]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *OrderResult) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*OrderResult) ProtoMessage() {}

func (x *OrderResult) ProtoReflect() protoreflect.Message {
	mi := &file_v1_order_model_order_proto_msgTypes[2]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use OrderResult.ProtoReflect.Descriptor instead.
func (*OrderResult) Descriptor() ([]byte, []int) {
	return file_v1_order_model_order_proto_rawDescGZIP(), []int{2}
}

// Deprecated: Do not use.
func (x *OrderResult) GetOfferId() int64 {
	if x != nil {
		return x.OfferId
	}
	return 0
}

// Deprecated: Do not use.
func (x *OrderResult) GetDealId() int64 {
	if x != nil {
		return x.DealId
	}
	return 0
}

func (x *OrderResult) GetOffer() *OperationIdent {
	if x != nil {
		return x.Offer
	}
	return nil
}

func (x *OrderResult) GetDeal() *OperationIdent {
	if x != nil {
		return x.Deal
	}
	return nil
}

type Order struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// id (generated by system)
	Id int64 `protobuf:"varint,1,opt,name=id,proto3" json:"id,omitempty"`
	// name( generated by system )
	Name   string       `protobuf:"bytes,2,opt,name=name,proto3" json:"name,omitempty"`
	Status Order_Status `protobuf:"varint,3,opt,name=status,proto3,enum=fcp.order.v1.order.Order_Status" json:"status,omitempty"`
	// product info
	Product *Product `protobuf:"bytes,4,opt,name=product,proto3" json:"product,omitempty"`
	// order conditions
	Condition *OrderCondition `protobuf:"bytes,5,opt,name=condition,proto3" json:"condition,omitempty"`
	// final operation info(deal), Output only
	Result      *OrderResult `protobuf:"bytes,6,opt,name=result,proto3" json:"result,omitempty"`
	Description string       `protobuf:"bytes,7,opt,name=description,proto3" json:"description,omitempty"`
	OffersNum   int64        `protobuf:"varint,8,opt,name=offers_num,json=offersNum,proto3" json:"offers_num,omitempty"`
	Audit       *Audit       `protobuf:"bytes,12,opt,name=audit,proto3" json:"audit,omitempty"`
}

func (x *Order) Reset() {
	*x = Order{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_order_model_order_proto_msgTypes[3]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Order) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Order) ProtoMessage() {}

func (x *Order) ProtoReflect() protoreflect.Message {
	mi := &file_v1_order_model_order_proto_msgTypes[3]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Order.ProtoReflect.Descriptor instead.
func (*Order) Descriptor() ([]byte, []int) {
	return file_v1_order_model_order_proto_rawDescGZIP(), []int{3}
}

func (x *Order) GetId() int64 {
	if x != nil {
		return x.Id
	}
	return 0
}

func (x *Order) GetName() string {
	if x != nil {
		return x.Name
	}
	return ""
}

func (x *Order) GetStatus() Order_Status {
	if x != nil {
		return x.Status
	}
	return Order_ACTIVE
}

func (x *Order) GetProduct() *Product {
	if x != nil {
		return x.Product
	}
	return nil
}

func (x *Order) GetCondition() *OrderCondition {
	if x != nil {
		return x.Condition
	}
	return nil
}

func (x *Order) GetResult() *OrderResult {
	if x != nil {
		return x.Result
	}
	return nil
}

func (x *Order) GetDescription() string {
	if x != nil {
		return x.Description
	}
	return ""
}

func (x *Order) GetOffersNum() int64 {
	if x != nil {
		return x.OffersNum
	}
	return 0
}

func (x *Order) GetAudit() *Audit {
	if x != nil {
		return x.Audit
	}
	return nil
}

//---------
// List
//---------
type OrderFilter struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// common
	Status          *Order_StatusValue    `protobuf:"bytes,2,opt,name=status,proto3" json:"status,omitempty"`
	ProductFilter   *ProductFilter        `protobuf:"bytes,3,opt,name=product_filter,json=productFilter,proto3" json:"product_filter,omitempty"`
	ConditionFilter *OrderConditionFilter `protobuf:"bytes,4,opt,name=condition_filter,json=conditionFilter,proto3" json:"condition_filter,omitempty"`
	// LiKE > 3 symbol
	Description *wrappers.StringValue `protobuf:"bytes,5,opt,name=description,proto3" json:"description,omitempty"`
	Name        *wrappers.StringValue `protobuf:"bytes,6,opt,name=name,proto3" json:"name,omitempty"`
	Updated     *TimeRange            `protobuf:"bytes,12,opt,name=updated,proto3" json:"updated,omitempty"`
	CreatedName *wrappers.StringValue `protobuf:"bytes,13,opt,name=created_name,json=createdName,proto3" json:"created_name,omitempty"` // LIKE
	Created     *TimeRange            `protobuf:"bytes,14,opt,name=created,proto3" json:"created,omitempty"`
}

func (x *OrderFilter) Reset() {
	*x = OrderFilter{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_order_model_order_proto_msgTypes[4]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *OrderFilter) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*OrderFilter) ProtoMessage() {}

func (x *OrderFilter) ProtoReflect() protoreflect.Message {
	mi := &file_v1_order_model_order_proto_msgTypes[4]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use OrderFilter.ProtoReflect.Descriptor instead.
func (*OrderFilter) Descriptor() ([]byte, []int) {
	return file_v1_order_model_order_proto_rawDescGZIP(), []int{4}
}

func (x *OrderFilter) GetStatus() *Order_StatusValue {
	if x != nil {
		return x.Status
	}
	return nil
}

func (x *OrderFilter) GetProductFilter() *ProductFilter {
	if x != nil {
		return x.ProductFilter
	}
	return nil
}

func (x *OrderFilter) GetConditionFilter() *OrderConditionFilter {
	if x != nil {
		return x.ConditionFilter
	}
	return nil
}

func (x *OrderFilter) GetDescription() *wrappers.StringValue {
	if x != nil {
		return x.Description
	}
	return nil
}

func (x *OrderFilter) GetName() *wrappers.StringValue {
	if x != nil {
		return x.Name
	}
	return nil
}

func (x *OrderFilter) GetUpdated() *TimeRange {
	if x != nil {
		return x.Updated
	}
	return nil
}

func (x *OrderFilter) GetCreatedName() *wrappers.StringValue {
	if x != nil {
		return x.CreatedName
	}
	return nil
}

func (x *OrderFilter) GetCreated() *TimeRange {
	if x != nil {
		return x.Created
	}
	return nil
}

type ListOrderRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Filter     *OrderFilter       `protobuf:"bytes,1,opt,name=filter,proto3" json:"filter,omitempty"`
	Sorting    []*Sorting         `protobuf:"bytes,2,rep,name=sorting,proto3" json:"sorting,omitempty"`
	Pagination *PaginationRequest `protobuf:"bytes,3,opt,name=pagination,proto3" json:"pagination,omitempty"`
}

func (x *ListOrderRequest) Reset() {
	*x = ListOrderRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_order_model_order_proto_msgTypes[5]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ListOrderRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ListOrderRequest) ProtoMessage() {}

func (x *ListOrderRequest) ProtoReflect() protoreflect.Message {
	mi := &file_v1_order_model_order_proto_msgTypes[5]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ListOrderRequest.ProtoReflect.Descriptor instead.
func (*ListOrderRequest) Descriptor() ([]byte, []int) {
	return file_v1_order_model_order_proto_rawDescGZIP(), []int{5}
}

func (x *ListOrderRequest) GetFilter() *OrderFilter {
	if x != nil {
		return x.Filter
	}
	return nil
}

func (x *ListOrderRequest) GetSorting() []*Sorting {
	if x != nil {
		return x.Sorting
	}
	return nil
}

func (x *ListOrderRequest) GetPagination() *PaginationRequest {
	if x != nil {
		return x.Pagination
	}
	return nil
}

type ListOrderResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Items      []*Order            `protobuf:"bytes,1,rep,name=items,proto3" json:"items,omitempty"`
	Pagination *PaginationResponse `protobuf:"bytes,2,opt,name=pagination,proto3" json:"pagination,omitempty"`
}

func (x *ListOrderResponse) Reset() {
	*x = ListOrderResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_order_model_order_proto_msgTypes[6]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ListOrderResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ListOrderResponse) ProtoMessage() {}

func (x *ListOrderResponse) ProtoReflect() protoreflect.Message {
	mi := &file_v1_order_model_order_proto_msgTypes[6]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ListOrderResponse.ProtoReflect.Descriptor instead.
func (*ListOrderResponse) Descriptor() ([]byte, []int) {
	return file_v1_order_model_order_proto_rawDescGZIP(), []int{6}
}

func (x *ListOrderResponse) GetItems() []*Order {
	if x != nil {
		return x.Items
	}
	return nil
}

func (x *ListOrderResponse) GetPagination() *PaginationResponse {
	if x != nil {
		return x.Pagination
	}
	return nil
}

// Get
type GetOrderRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Id int64 `protobuf:"varint,1,opt,name=id,proto3" json:"id,omitempty"`
}

func (x *GetOrderRequest) Reset() {
	*x = GetOrderRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_order_model_order_proto_msgTypes[7]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *GetOrderRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*GetOrderRequest) ProtoMessage() {}

func (x *GetOrderRequest) ProtoReflect() protoreflect.Message {
	mi := &file_v1_order_model_order_proto_msgTypes[7]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use GetOrderRequest.ProtoReflect.Descriptor instead.
func (*GetOrderRequest) Descriptor() ([]byte, []int) {
	return file_v1_order_model_order_proto_rawDescGZIP(), []int{7}
}

func (x *GetOrderRequest) GetId() int64 {
	if x != nil {
		return x.Id
	}
	return 0
}

type GetOrderResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Item *Order `protobuf:"bytes,1,opt,name=item,proto3" json:"item,omitempty"`
	// Types that are assignable to Detail:
	//	*GetOrderResponse_ResourcesSeeds
	//	*GetOrderResponse_ResourcesFertilize
	//	*GetOrderResponse_ResourcesMicrofertilizers
	//	*GetOrderResponse_ResourcesChemistry
	Detail isGetOrderResponse_Detail `protobuf_oneof:"detail"`
}

func (x *GetOrderResponse) Reset() {
	*x = GetOrderResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_order_model_order_proto_msgTypes[8]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *GetOrderResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*GetOrderResponse) ProtoMessage() {}

func (x *GetOrderResponse) ProtoReflect() protoreflect.Message {
	mi := &file_v1_order_model_order_proto_msgTypes[8]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use GetOrderResponse.ProtoReflect.Descriptor instead.
func (*GetOrderResponse) Descriptor() ([]byte, []int) {
	return file_v1_order_model_order_proto_rawDescGZIP(), []int{8}
}

func (x *GetOrderResponse) GetItem() *Order {
	if x != nil {
		return x.Item
	}
	return nil
}

func (m *GetOrderResponse) GetDetail() isGetOrderResponse_Detail {
	if m != nil {
		return m.Detail
	}
	return nil
}

func (x *GetOrderResponse) GetResourcesSeeds() *ResourcesSeeds {
	if x, ok := x.GetDetail().(*GetOrderResponse_ResourcesSeeds); ok {
		return x.ResourcesSeeds
	}
	return nil
}

func (x *GetOrderResponse) GetResourcesFertilize() *ResourcesFertilize {
	if x, ok := x.GetDetail().(*GetOrderResponse_ResourcesFertilize); ok {
		return x.ResourcesFertilize
	}
	return nil
}

func (x *GetOrderResponse) GetResourcesMicrofertilizers() *ResourcesFertilize {
	if x, ok := x.GetDetail().(*GetOrderResponse_ResourcesMicrofertilizers); ok {
		return x.ResourcesMicrofertilizers
	}
	return nil
}

func (x *GetOrderResponse) GetResourcesChemistry() *ResourcesChemistry {
	if x, ok := x.GetDetail().(*GetOrderResponse_ResourcesChemistry); ok {
		return x.ResourcesChemistry
	}
	return nil
}

type isGetOrderResponse_Detail interface {
	isGetOrderResponse_Detail()
}

type GetOrderResponse_ResourcesSeeds struct {
	ResourcesSeeds *ResourcesSeeds `protobuf:"bytes,100,opt,name=resources_seeds,json=resourcesSeeds,proto3,oneof"`
}

type GetOrderResponse_ResourcesFertilize struct {
	ResourcesFertilize *ResourcesFertilize `protobuf:"bytes,101,opt,name=resources_fertilize,json=resourcesFertilize,proto3,oneof"`
}

type GetOrderResponse_ResourcesMicrofertilizers struct {
	ResourcesMicrofertilizers *ResourcesFertilize `protobuf:"bytes,102,opt,name=resources_microfertilizers,json=resourcesMicrofertilizers,proto3,oneof"`
}

type GetOrderResponse_ResourcesChemistry struct {
	ResourcesChemistry *ResourcesChemistry `protobuf:"bytes,103,opt,name=resources_chemistry,json=resourcesChemistry,proto3,oneof"`
}

func (*GetOrderResponse_ResourcesSeeds) isGetOrderResponse_Detail() {}

func (*GetOrderResponse_ResourcesFertilize) isGetOrderResponse_Detail() {}

func (*GetOrderResponse_ResourcesMicrofertilizers) isGetOrderResponse_Detail() {}

func (*GetOrderResponse_ResourcesChemistry) isGetOrderResponse_Detail() {}

// Filtering List...
// List of Enums
type ListOrderProcessRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Filter *OrderFilter `protobuf:"bytes,1,opt,name=filter,proto3" json:"filter,omitempty"`
}

func (x *ListOrderProcessRequest) Reset() {
	*x = ListOrderProcessRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_order_model_order_proto_msgTypes[9]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ListOrderProcessRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ListOrderProcessRequest) ProtoMessage() {}

func (x *ListOrderProcessRequest) ProtoReflect() protoreflect.Message {
	mi := &file_v1_order_model_order_proto_msgTypes[9]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ListOrderProcessRequest.ProtoReflect.Descriptor instead.
func (*ListOrderProcessRequest) Descriptor() ([]byte, []int) {
	return file_v1_order_model_order_proto_rawDescGZIP(), []int{9}
}

func (x *ListOrderProcessRequest) GetFilter() *OrderFilter {
	if x != nil {
		return x.Filter
	}
	return nil
}

type ListOrderProcessTypeRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Filter *OrderFilter `protobuf:"bytes,1,opt,name=filter,proto3" json:"filter,omitempty"`
}

func (x *ListOrderProcessTypeRequest) Reset() {
	*x = ListOrderProcessTypeRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_order_model_order_proto_msgTypes[10]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ListOrderProcessTypeRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ListOrderProcessTypeRequest) ProtoMessage() {}

func (x *ListOrderProcessTypeRequest) ProtoReflect() protoreflect.Message {
	mi := &file_v1_order_model_order_proto_msgTypes[10]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ListOrderProcessTypeRequest.ProtoReflect.Descriptor instead.
func (*ListOrderProcessTypeRequest) Descriptor() ([]byte, []int) {
	return file_v1_order_model_order_proto_rawDescGZIP(), []int{10}
}

func (x *ListOrderProcessTypeRequest) GetFilter() *OrderFilter {
	if x != nil {
		return x.Filter
	}
	return nil
}

type ListOrderDeliveryConditionRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Filter *OrderFilter `protobuf:"bytes,1,opt,name=filter,proto3" json:"filter,omitempty"`
}

func (x *ListOrderDeliveryConditionRequest) Reset() {
	*x = ListOrderDeliveryConditionRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_order_model_order_proto_msgTypes[11]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ListOrderDeliveryConditionRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ListOrderDeliveryConditionRequest) ProtoMessage() {}

func (x *ListOrderDeliveryConditionRequest) ProtoReflect() protoreflect.Message {
	mi := &file_v1_order_model_order_proto_msgTypes[11]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ListOrderDeliveryConditionRequest.ProtoReflect.Descriptor instead.
func (*ListOrderDeliveryConditionRequest) Descriptor() ([]byte, []int) {
	return file_v1_order_model_order_proto_rawDescGZIP(), []int{11}
}

func (x *ListOrderDeliveryConditionRequest) GetFilter() *OrderFilter {
	if x != nil {
		return x.Filter
	}
	return nil
}

type ListOrderPaymentConditionRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Filter *OrderFilter `protobuf:"bytes,1,opt,name=filter,proto3" json:"filter,omitempty"`
}

func (x *ListOrderPaymentConditionRequest) Reset() {
	*x = ListOrderPaymentConditionRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_order_model_order_proto_msgTypes[12]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ListOrderPaymentConditionRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ListOrderPaymentConditionRequest) ProtoMessage() {}

func (x *ListOrderPaymentConditionRequest) ProtoReflect() protoreflect.Message {
	mi := &file_v1_order_model_order_proto_msgTypes[12]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ListOrderPaymentConditionRequest.ProtoReflect.Descriptor instead.
func (*ListOrderPaymentConditionRequest) Descriptor() ([]byte, []int) {
	return file_v1_order_model_order_proto_rawDescGZIP(), []int{12}
}

func (x *ListOrderPaymentConditionRequest) GetFilter() *OrderFilter {
	if x != nil {
		return x.Filter
	}
	return nil
}

// List of Orders
type ListOrderCategoryRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Filter *OrderFilter `protobuf:"bytes,1,opt,name=filter,proto3" json:"filter,omitempty"`
}

func (x *ListOrderCategoryRequest) Reset() {
	*x = ListOrderCategoryRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_order_model_order_proto_msgTypes[13]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ListOrderCategoryRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ListOrderCategoryRequest) ProtoMessage() {}

func (x *ListOrderCategoryRequest) ProtoReflect() protoreflect.Message {
	mi := &file_v1_order_model_order_proto_msgTypes[13]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ListOrderCategoryRequest.ProtoReflect.Descriptor instead.
func (*ListOrderCategoryRequest) Descriptor() ([]byte, []int) {
	return file_v1_order_model_order_proto_rawDescGZIP(), []int{13}
}

func (x *ListOrderCategoryRequest) GetFilter() *OrderFilter {
	if x != nil {
		return x.Filter
	}
	return nil
}

type ListOrderBrandRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Filter *OrderFilter `protobuf:"bytes,1,opt,name=filter,proto3" json:"filter,omitempty"`
}

func (x *ListOrderBrandRequest) Reset() {
	*x = ListOrderBrandRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_order_model_order_proto_msgTypes[14]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ListOrderBrandRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ListOrderBrandRequest) ProtoMessage() {}

func (x *ListOrderBrandRequest) ProtoReflect() protoreflect.Message {
	mi := &file_v1_order_model_order_proto_msgTypes[14]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ListOrderBrandRequest.ProtoReflect.Descriptor instead.
func (*ListOrderBrandRequest) Descriptor() ([]byte, []int) {
	return file_v1_order_model_order_proto_rawDescGZIP(), []int{14}
}

func (x *ListOrderBrandRequest) GetFilter() *OrderFilter {
	if x != nil {
		return x.Filter
	}
	return nil
}

type ListOrderProductRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Filter *OrderFilter `protobuf:"bytes,1,opt,name=filter,proto3" json:"filter,omitempty"`
}

func (x *ListOrderProductRequest) Reset() {
	*x = ListOrderProductRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_order_model_order_proto_msgTypes[15]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ListOrderProductRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ListOrderProductRequest) ProtoMessage() {}

func (x *ListOrderProductRequest) ProtoReflect() protoreflect.Message {
	mi := &file_v1_order_model_order_proto_msgTypes[15]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ListOrderProductRequest.ProtoReflect.Descriptor instead.
func (*ListOrderProductRequest) Descriptor() ([]byte, []int) {
	return file_v1_order_model_order_proto_rawDescGZIP(), []int{15}
}

func (x *ListOrderProductRequest) GetFilter() *OrderFilter {
	if x != nil {
		return x.Filter
	}
	return nil
}

type ListOrderQuantityTypeRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Filter *OrderFilter `protobuf:"bytes,1,opt,name=filter,proto3" json:"filter,omitempty"`
}

func (x *ListOrderQuantityTypeRequest) Reset() {
	*x = ListOrderQuantityTypeRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_order_model_order_proto_msgTypes[16]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ListOrderQuantityTypeRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ListOrderQuantityTypeRequest) ProtoMessage() {}

func (x *ListOrderQuantityTypeRequest) ProtoReflect() protoreflect.Message {
	mi := &file_v1_order_model_order_proto_msgTypes[16]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ListOrderQuantityTypeRequest.ProtoReflect.Descriptor instead.
func (*ListOrderQuantityTypeRequest) Descriptor() ([]byte, []int) {
	return file_v1_order_model_order_proto_rawDescGZIP(), []int{16}
}

func (x *ListOrderQuantityTypeRequest) GetFilter() *OrderFilter {
	if x != nil {
		return x.Filter
	}
	return nil
}

// Dict names
type ListOrderNamesRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Processes          []*NameFilter `protobuf:"bytes,1,rep,name=processes,proto3" json:"processes,omitempty"`
	Types              []*NameFilter `protobuf:"bytes,2,rep,name=types,proto3" json:"types,omitempty"`
	DeliveryConditions []*NameFilter `protobuf:"bytes,3,rep,name=delivery_conditions,json=deliveryConditions,proto3" json:"delivery_conditions,omitempty"`
	PaymentConditions  []*NameFilter `protobuf:"bytes,4,rep,name=payment_conditions,json=paymentConditions,proto3" json:"payment_conditions,omitempty"`
	Categories         []*NameFilter `protobuf:"bytes,5,rep,name=categories,proto3" json:"categories,omitempty"`
	Brands             []*NameFilter `protobuf:"bytes,6,rep,name=brands,proto3" json:"brands,omitempty"`
	Products           []*NameFilter `protobuf:"bytes,7,rep,name=products,proto3" json:"products,omitempty"`
	QuantityTypes      []*NameFilter `protobuf:"bytes,8,rep,name=quantity_types,json=quantityTypes,proto3" json:"quantity_types,omitempty"`
}

func (x *ListOrderNamesRequest) Reset() {
	*x = ListOrderNamesRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_order_model_order_proto_msgTypes[17]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ListOrderNamesRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ListOrderNamesRequest) ProtoMessage() {}

func (x *ListOrderNamesRequest) ProtoReflect() protoreflect.Message {
	mi := &file_v1_order_model_order_proto_msgTypes[17]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ListOrderNamesRequest.ProtoReflect.Descriptor instead.
func (*ListOrderNamesRequest) Descriptor() ([]byte, []int) {
	return file_v1_order_model_order_proto_rawDescGZIP(), []int{17}
}

func (x *ListOrderNamesRequest) GetProcesses() []*NameFilter {
	if x != nil {
		return x.Processes
	}
	return nil
}

func (x *ListOrderNamesRequest) GetTypes() []*NameFilter {
	if x != nil {
		return x.Types
	}
	return nil
}

func (x *ListOrderNamesRequest) GetDeliveryConditions() []*NameFilter {
	if x != nil {
		return x.DeliveryConditions
	}
	return nil
}

func (x *ListOrderNamesRequest) GetPaymentConditions() []*NameFilter {
	if x != nil {
		return x.PaymentConditions
	}
	return nil
}

func (x *ListOrderNamesRequest) GetCategories() []*NameFilter {
	if x != nil {
		return x.Categories
	}
	return nil
}

func (x *ListOrderNamesRequest) GetBrands() []*NameFilter {
	if x != nil {
		return x.Brands
	}
	return nil
}

func (x *ListOrderNamesRequest) GetProducts() []*NameFilter {
	if x != nil {
		return x.Products
	}
	return nil
}

func (x *ListOrderNamesRequest) GetQuantityTypes() []*NameFilter {
	if x != nil {
		return x.QuantityTypes
	}
	return nil
}

type ListOrderNamesResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Processes          []*DictItem `protobuf:"bytes,1,rep,name=processes,proto3" json:"processes,omitempty"`
	Types              []*DictItem `protobuf:"bytes,2,rep,name=types,proto3" json:"types,omitempty"`
	DeliveryConditions []*DictItem `protobuf:"bytes,3,rep,name=delivery_conditions,json=deliveryConditions,proto3" json:"delivery_conditions,omitempty"`
	PaymentConditions  []*DictItem `protobuf:"bytes,4,rep,name=payment_conditions,json=paymentConditions,proto3" json:"payment_conditions,omitempty"`
	Categories         []*DictItem `protobuf:"bytes,5,rep,name=categories,proto3" json:"categories,omitempty"`
	Brands             []*DictItem `protobuf:"bytes,6,rep,name=brands,proto3" json:"brands,omitempty"`
	Products           []*DictItem `protobuf:"bytes,7,rep,name=products,proto3" json:"products,omitempty"`
	QuantityTypes      []*DictItem `protobuf:"bytes,8,rep,name=quantity_types,json=quantityTypes,proto3" json:"quantity_types,omitempty"`
}

func (x *ListOrderNamesResponse) Reset() {
	*x = ListOrderNamesResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_order_model_order_proto_msgTypes[18]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ListOrderNamesResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ListOrderNamesResponse) ProtoMessage() {}

func (x *ListOrderNamesResponse) ProtoReflect() protoreflect.Message {
	mi := &file_v1_order_model_order_proto_msgTypes[18]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ListOrderNamesResponse.ProtoReflect.Descriptor instead.
func (*ListOrderNamesResponse) Descriptor() ([]byte, []int) {
	return file_v1_order_model_order_proto_rawDescGZIP(), []int{18}
}

func (x *ListOrderNamesResponse) GetProcesses() []*DictItem {
	if x != nil {
		return x.Processes
	}
	return nil
}

func (x *ListOrderNamesResponse) GetTypes() []*DictItem {
	if x != nil {
		return x.Types
	}
	return nil
}

func (x *ListOrderNamesResponse) GetDeliveryConditions() []*DictItem {
	if x != nil {
		return x.DeliveryConditions
	}
	return nil
}

func (x *ListOrderNamesResponse) GetPaymentConditions() []*DictItem {
	if x != nil {
		return x.PaymentConditions
	}
	return nil
}

func (x *ListOrderNamesResponse) GetCategories() []*DictItem {
	if x != nil {
		return x.Categories
	}
	return nil
}

func (x *ListOrderNamesResponse) GetBrands() []*DictItem {
	if x != nil {
		return x.Brands
	}
	return nil
}

func (x *ListOrderNamesResponse) GetProducts() []*DictItem {
	if x != nil {
		return x.Products
	}
	return nil
}

func (x *ListOrderNamesResponse) GetQuantityTypes() []*DictItem {
	if x != nil {
		return x.QuantityTypes
	}
	return nil
}

type Order_StatusValue struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Value Order_Status `protobuf:"varint,1,opt,name=value,proto3,enum=fcp.order.v1.order.Order_Status" json:"value,omitempty"`
}

func (x *Order_StatusValue) Reset() {
	*x = Order_StatusValue{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_order_model_order_proto_msgTypes[19]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Order_StatusValue) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Order_StatusValue) ProtoMessage() {}

func (x *Order_StatusValue) ProtoReflect() protoreflect.Message {
	mi := &file_v1_order_model_order_proto_msgTypes[19]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Order_StatusValue.ProtoReflect.Descriptor instead.
func (*Order_StatusValue) Descriptor() ([]byte, []int) {
	return file_v1_order_model_order_proto_rawDescGZIP(), []int{3, 0}
}

func (x *Order_StatusValue) GetValue() Order_Status {
	if x != nil {
		return x.Value
	}
	return Order_ACTIVE
}

var File_v1_order_model_order_proto protoreflect.FileDescriptor

var file_v1_order_model_order_proto_rawDesc = []byte{
	0x0a, 0x1a, 0x76, 0x31, 0x2f, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2f, 0x6d, 0x6f, 0x64, 0x65, 0x6c,
	0x5f, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x12, 0x12, 0x66, 0x63,
	0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72,
	0x1a, 0x1f, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2f, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75,
	0x66, 0x2f, 0x74, 0x69, 0x6d, 0x65, 0x73, 0x74, 0x61, 0x6d, 0x70, 0x2e, 0x70, 0x72, 0x6f, 0x74,
	0x6f, 0x1a, 0x1e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2f, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62,
	0x75, 0x66, 0x2f, 0x77, 0x72, 0x61, 0x70, 0x70, 0x65, 0x72, 0x73, 0x2e, 0x70, 0x72, 0x6f, 0x74,
	0x6f, 0x1a, 0x15, 0x76, 0x31, 0x2f, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2f, 0x63, 0x6f, 0x6d, 0x6d,
	0x6f, 0x6e, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x13, 0x76, 0x31, 0x2f, 0x6f, 0x72, 0x64,
	0x65, 0x72, 0x2f, 0x65, 0x6e, 0x75, 0x6d, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x19, 0x76,
	0x31, 0x2f, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2f, 0x6d, 0x6f, 0x64, 0x65, 0x6c, 0x5f, 0x62, 0x61,
	0x73, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x1c, 0x76, 0x31, 0x2f, 0x6f, 0x72, 0x64,
	0x65, 0x72, 0x2f, 0x6d, 0x6f, 0x64, 0x65, 0x6c, 0x5f, 0x70, 0x72, 0x6f, 0x64, 0x75, 0x63, 0x74,
	0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x22, 0xe3, 0x03, 0x0a, 0x0e, 0x4f, 0x72, 0x64, 0x65, 0x72,
	0x43, 0x6f, 0x6e, 0x64, 0x69, 0x74, 0x69, 0x6f, 0x6e, 0x12, 0x54, 0x0a, 0x12, 0x64, 0x65, 0x6c,
	0x69, 0x76, 0x65, 0x72, 0x79, 0x5f, 0x63, 0x6f, 0x6e, 0x64, 0x69, 0x74, 0x69, 0x6f, 0x6e, 0x18,
	0x01, 0x20, 0x01, 0x28, 0x0e, 0x32, 0x25, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65,
	0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x44, 0x65, 0x6c, 0x69, 0x76,
	0x65, 0x72, 0x79, 0x43, 0x6f, 0x6e, 0x64, 0x69, 0x74, 0x69, 0x6f, 0x6e, 0x52, 0x11, 0x64, 0x65,
	0x6c, 0x69, 0x76, 0x65, 0x72, 0x79, 0x43, 0x6f, 0x6e, 0x64, 0x69, 0x74, 0x69, 0x6f, 0x6e, 0x12,
	0x3f, 0x0a, 0x0d, 0x64, 0x65, 0x6c, 0x69, 0x76, 0x65, 0x72, 0x79, 0x5f, 0x64, 0x61, 0x74, 0x65,
	0x18, 0x02, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1a, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e,
	0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e, 0x54, 0x69, 0x6d, 0x65, 0x73, 0x74, 0x61,
	0x6d, 0x70, 0x52, 0x0c, 0x64, 0x65, 0x6c, 0x69, 0x76, 0x65, 0x72, 0x79, 0x44, 0x61, 0x74, 0x65,
	0x12, 0x25, 0x0a, 0x0e, 0x64, 0x65, 0x6c, 0x69, 0x76, 0x65, 0x72, 0x79, 0x5f, 0x70, 0x6c, 0x61,
	0x63, 0x65, 0x18, 0x03, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0d, 0x64, 0x65, 0x6c, 0x69, 0x76, 0x65,
	0x72, 0x79, 0x50, 0x6c, 0x61, 0x63, 0x65, 0x12, 0x51, 0x0a, 0x11, 0x70, 0x61, 0x79, 0x6d, 0x65,
	0x6e, 0x74, 0x5f, 0x63, 0x6f, 0x6e, 0x64, 0x69, 0x74, 0x69, 0x6f, 0x6e, 0x18, 0x04, 0x20, 0x01,
	0x28, 0x0e, 0x32, 0x24, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76,
	0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x50, 0x61, 0x79, 0x6d, 0x65, 0x6e, 0x74, 0x43,
	0x6f, 0x6e, 0x64, 0x69, 0x74, 0x69, 0x6f, 0x6e, 0x52, 0x10, 0x70, 0x61, 0x79, 0x6d, 0x65, 0x6e,
	0x74, 0x43, 0x6f, 0x6e, 0x64, 0x69, 0x74, 0x69, 0x6f, 0x6e, 0x12, 0x3d, 0x0a, 0x0c, 0x70, 0x61,
	0x79, 0x6d, 0x65, 0x6e, 0x74, 0x5f, 0x64, 0x61, 0x74, 0x65, 0x18, 0x05, 0x20, 0x01, 0x28, 0x0b,
	0x32, 0x1a, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62,
	0x75, 0x66, 0x2e, 0x54, 0x69, 0x6d, 0x65, 0x73, 0x74, 0x61, 0x6d, 0x70, 0x52, 0x0b, 0x70, 0x61,
	0x79, 0x6d, 0x65, 0x6e, 0x74, 0x44, 0x61, 0x74, 0x65, 0x12, 0x3d, 0x0a, 0x0c, 0x65, 0x78, 0x70,
	0x69, 0x72, 0x65, 0x64, 0x5f, 0x64, 0x61, 0x74, 0x65, 0x18, 0x06, 0x20, 0x01, 0x28, 0x0b, 0x32,
	0x1a, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75,
	0x66, 0x2e, 0x54, 0x69, 0x6d, 0x65, 0x73, 0x74, 0x61, 0x6d, 0x70, 0x52, 0x0b, 0x65, 0x78, 0x70,
	0x69, 0x72, 0x65, 0x64, 0x44, 0x61, 0x74, 0x65, 0x12, 0x22, 0x0a, 0x0c, 0x61, 0x6c, 0x74, 0x65,
	0x72, 0x6e, 0x61, 0x74, 0x69, 0x76, 0x65, 0x73, 0x18, 0x07, 0x20, 0x01, 0x28, 0x08, 0x52, 0x0c,
	0x61, 0x6c, 0x74, 0x65, 0x72, 0x6e, 0x61, 0x74, 0x69, 0x76, 0x65, 0x73, 0x12, 0x1e, 0x0a, 0x0a,
	0x63, 0x6f, 0x6e, 0x73, 0x75, 0x6c, 0x74, 0x69, 0x6e, 0x67, 0x18, 0x08, 0x20, 0x01, 0x28, 0x08,
	0x52, 0x0a, 0x63, 0x6f, 0x6e, 0x73, 0x75, 0x6c, 0x74, 0x69, 0x6e, 0x67, 0x22, 0x83, 0x04, 0x0a,
	0x14, 0x4f, 0x72, 0x64, 0x65, 0x72, 0x43, 0x6f, 0x6e, 0x64, 0x69, 0x74, 0x69, 0x6f, 0x6e, 0x46,
	0x69, 0x6c, 0x74, 0x65, 0x72, 0x12, 0x54, 0x0a, 0x12, 0x64, 0x65, 0x6c, 0x69, 0x76, 0x65, 0x72,
	0x79, 0x5f, 0x63, 0x6f, 0x6e, 0x64, 0x69, 0x74, 0x69, 0x6f, 0x6e, 0x18, 0x01, 0x20, 0x03, 0x28,
	0x0e, 0x32, 0x25, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31,
	0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x44, 0x65, 0x6c, 0x69, 0x76, 0x65, 0x72, 0x79, 0x43,
	0x6f, 0x6e, 0x64, 0x69, 0x74, 0x69, 0x6f, 0x6e, 0x52, 0x11, 0x64, 0x65, 0x6c, 0x69, 0x76, 0x65,
	0x72, 0x79, 0x43, 0x6f, 0x6e, 0x64, 0x69, 0x74, 0x69, 0x6f, 0x6e, 0x12, 0x42, 0x0a, 0x0d, 0x64,
	0x65, 0x6c, 0x69, 0x76, 0x65, 0x72, 0x79, 0x5f, 0x64, 0x61, 0x74, 0x65, 0x18, 0x02, 0x20, 0x01,
	0x28, 0x0b, 0x32, 0x1d, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76,
	0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x54, 0x69, 0x6d, 0x65, 0x52, 0x61, 0x6e, 0x67,
	0x65, 0x52, 0x0c, 0x64, 0x65, 0x6c, 0x69, 0x76, 0x65, 0x72, 0x79, 0x44, 0x61, 0x74, 0x65, 0x12,
	0x51, 0x0a, 0x11, 0x70, 0x61, 0x79, 0x6d, 0x65, 0x6e, 0x74, 0x5f, 0x63, 0x6f, 0x6e, 0x64, 0x69,
	0x74, 0x69, 0x6f, 0x6e, 0x18, 0x03, 0x20, 0x03, 0x28, 0x0e, 0x32, 0x24, 0x2e, 0x66, 0x63, 0x70,
	0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e,
	0x50, 0x61, 0x79, 0x6d, 0x65, 0x6e, 0x74, 0x43, 0x6f, 0x6e, 0x64, 0x69, 0x74, 0x69, 0x6f, 0x6e,
	0x52, 0x10, 0x70, 0x61, 0x79, 0x6d, 0x65, 0x6e, 0x74, 0x43, 0x6f, 0x6e, 0x64, 0x69, 0x74, 0x69,
	0x6f, 0x6e, 0x12, 0x40, 0x0a, 0x0c, 0x70, 0x61, 0x79, 0x6d, 0x65, 0x6e, 0x74, 0x5f, 0x64, 0x61,
	0x74, 0x65, 0x18, 0x04, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1d, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f,
	0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x54, 0x69,
	0x6d, 0x65, 0x52, 0x61, 0x6e, 0x67, 0x65, 0x52, 0x0b, 0x70, 0x61, 0x79, 0x6d, 0x65, 0x6e, 0x74,
	0x44, 0x61, 0x74, 0x65, 0x12, 0x40, 0x0a, 0x0c, 0x65, 0x78, 0x70, 0x69, 0x72, 0x65, 0x64, 0x5f,
	0x64, 0x61, 0x74, 0x65, 0x18, 0x05, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1d, 0x2e, 0x66, 0x63, 0x70,
	0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e,
	0x54, 0x69, 0x6d, 0x65, 0x52, 0x61, 0x6e, 0x67, 0x65, 0x52, 0x0b, 0x65, 0x78, 0x70, 0x69, 0x72,
	0x65, 0x64, 0x44, 0x61, 0x74, 0x65, 0x12, 0x3e, 0x0a, 0x0c, 0x61, 0x6c, 0x74, 0x65, 0x72, 0x6e,
	0x61, 0x74, 0x69, 0x76, 0x65, 0x73, 0x18, 0x06, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1a, 0x2e, 0x67,
	0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e, 0x42,
	0x6f, 0x6f, 0x6c, 0x56, 0x61, 0x6c, 0x75, 0x65, 0x52, 0x0c, 0x61, 0x6c, 0x74, 0x65, 0x72, 0x6e,
	0x61, 0x74, 0x69, 0x76, 0x65, 0x73, 0x12, 0x3a, 0x0a, 0x0a, 0x63, 0x6f, 0x6e, 0x73, 0x75, 0x6c,
	0x74, 0x69, 0x6e, 0x67, 0x18, 0x07, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1a, 0x2e, 0x67, 0x6f, 0x6f,
	0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e, 0x42, 0x6f, 0x6f,
	0x6c, 0x56, 0x61, 0x6c, 0x75, 0x65, 0x52, 0x0a, 0x63, 0x6f, 0x6e, 0x73, 0x75, 0x6c, 0x74, 0x69,
	0x6e, 0x67, 0x22, 0xbb, 0x01, 0x0a, 0x0b, 0x4f, 0x72, 0x64, 0x65, 0x72, 0x52, 0x65, 0x73, 0x75,
	0x6c, 0x74, 0x12, 0x1d, 0x0a, 0x08, 0x6f, 0x66, 0x66, 0x65, 0x72, 0x5f, 0x69, 0x64, 0x18, 0x01,
	0x20, 0x01, 0x28, 0x03, 0x42, 0x02, 0x18, 0x01, 0x52, 0x07, 0x6f, 0x66, 0x66, 0x65, 0x72, 0x49,
	0x64, 0x12, 0x1b, 0x0a, 0x07, 0x64, 0x65, 0x61, 0x6c, 0x5f, 0x69, 0x64, 0x18, 0x02, 0x20, 0x01,
	0x28, 0x03, 0x42, 0x02, 0x18, 0x01, 0x52, 0x06, 0x64, 0x65, 0x61, 0x6c, 0x49, 0x64, 0x12, 0x38,
	0x0a, 0x05, 0x6f, 0x66, 0x66, 0x65, 0x72, 0x18, 0x03, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x22, 0x2e,
	0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64,
	0x65, 0x72, 0x2e, 0x4f, 0x70, 0x65, 0x72, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x49, 0x64, 0x65, 0x6e,
	0x74, 0x52, 0x05, 0x6f, 0x66, 0x66, 0x65, 0x72, 0x12, 0x36, 0x0a, 0x04, 0x64, 0x65, 0x61, 0x6c,
	0x18, 0x04, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x22, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64,
	0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x4f, 0x70, 0x65, 0x72,
	0x61, 0x74, 0x69, 0x6f, 0x6e, 0x49, 0x64, 0x65, 0x6e, 0x74, 0x52, 0x04, 0x64, 0x65, 0x61, 0x6c,
	0x22, 0x82, 0x04, 0x0a, 0x05, 0x4f, 0x72, 0x64, 0x65, 0x72, 0x12, 0x0e, 0x0a, 0x02, 0x69, 0x64,
	0x18, 0x01, 0x20, 0x01, 0x28, 0x03, 0x52, 0x02, 0x69, 0x64, 0x12, 0x12, 0x0a, 0x04, 0x6e, 0x61,
	0x6d, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x04, 0x6e, 0x61, 0x6d, 0x65, 0x12, 0x38,
	0x0a, 0x06, 0x73, 0x74, 0x61, 0x74, 0x75, 0x73, 0x18, 0x03, 0x20, 0x01, 0x28, 0x0e, 0x32, 0x20,
	0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72,
	0x64, 0x65, 0x72, 0x2e, 0x4f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x53, 0x74, 0x61, 0x74, 0x75, 0x73,
	0x52, 0x06, 0x73, 0x74, 0x61, 0x74, 0x75, 0x73, 0x12, 0x35, 0x0a, 0x07, 0x70, 0x72, 0x6f, 0x64,
	0x75, 0x63, 0x74, 0x18, 0x04, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1b, 0x2e, 0x66, 0x63, 0x70, 0x2e,
	0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x50,
	0x72, 0x6f, 0x64, 0x75, 0x63, 0x74, 0x52, 0x07, 0x70, 0x72, 0x6f, 0x64, 0x75, 0x63, 0x74, 0x12,
	0x40, 0x0a, 0x09, 0x63, 0x6f, 0x6e, 0x64, 0x69, 0x74, 0x69, 0x6f, 0x6e, 0x18, 0x05, 0x20, 0x01,
	0x28, 0x0b, 0x32, 0x22, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76,
	0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x4f, 0x72, 0x64, 0x65, 0x72, 0x43, 0x6f, 0x6e,
	0x64, 0x69, 0x74, 0x69, 0x6f, 0x6e, 0x52, 0x09, 0x63, 0x6f, 0x6e, 0x64, 0x69, 0x74, 0x69, 0x6f,
	0x6e, 0x12, 0x37, 0x0a, 0x06, 0x72, 0x65, 0x73, 0x75, 0x6c, 0x74, 0x18, 0x06, 0x20, 0x01, 0x28,
	0x0b, 0x32, 0x1f, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31,
	0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x4f, 0x72, 0x64, 0x65, 0x72, 0x52, 0x65, 0x73, 0x75,
	0x6c, 0x74, 0x52, 0x06, 0x72, 0x65, 0x73, 0x75, 0x6c, 0x74, 0x12, 0x20, 0x0a, 0x0b, 0x64, 0x65,
	0x73, 0x63, 0x72, 0x69, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x18, 0x07, 0x20, 0x01, 0x28, 0x09, 0x52,
	0x0b, 0x64, 0x65, 0x73, 0x63, 0x72, 0x69, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x12, 0x1d, 0x0a, 0x0a,
	0x6f, 0x66, 0x66, 0x65, 0x72, 0x73, 0x5f, 0x6e, 0x75, 0x6d, 0x18, 0x08, 0x20, 0x01, 0x28, 0x03,
	0x52, 0x09, 0x6f, 0x66, 0x66, 0x65, 0x72, 0x73, 0x4e, 0x75, 0x6d, 0x12, 0x2f, 0x0a, 0x05, 0x61,
	0x75, 0x64, 0x69, 0x74, 0x18, 0x0c, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x19, 0x2e, 0x66, 0x63, 0x70,
	0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e,
	0x41, 0x75, 0x64, 0x69, 0x74, 0x52, 0x05, 0x61, 0x75, 0x64, 0x69, 0x74, 0x1a, 0x45, 0x0a, 0x0b,
	0x53, 0x74, 0x61, 0x74, 0x75, 0x73, 0x56, 0x61, 0x6c, 0x75, 0x65, 0x12, 0x36, 0x0a, 0x05, 0x76,
	0x61, 0x6c, 0x75, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0e, 0x32, 0x20, 0x2e, 0x66, 0x63, 0x70,
	0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e,
	0x4f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x53, 0x74, 0x61, 0x74, 0x75, 0x73, 0x52, 0x05, 0x76, 0x61,
	0x6c, 0x75, 0x65, 0x22, 0x2a, 0x0a, 0x06, 0x53, 0x74, 0x61, 0x74, 0x75, 0x73, 0x12, 0x0a, 0x0a,
	0x06, 0x41, 0x43, 0x54, 0x49, 0x56, 0x45, 0x10, 0x00, 0x12, 0x0a, 0x0a, 0x06, 0x52, 0x45, 0x4a,
	0x45, 0x43, 0x54, 0x10, 0x01, 0x12, 0x08, 0x0a, 0x04, 0x44, 0x4f, 0x4e, 0x45, 0x10, 0x02, 0x4a,
	0x04, 0x08, 0x09, 0x10, 0x0c, 0x22, 0x9c, 0x04, 0x0a, 0x0b, 0x4f, 0x72, 0x64, 0x65, 0x72, 0x46,
	0x69, 0x6c, 0x74, 0x65, 0x72, 0x12, 0x3d, 0x0a, 0x06, 0x73, 0x74, 0x61, 0x74, 0x75, 0x73, 0x18,
	0x02, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x25, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65,
	0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x4f, 0x72, 0x64, 0x65, 0x72,
	0x2e, 0x53, 0x74, 0x61, 0x74, 0x75, 0x73, 0x56, 0x61, 0x6c, 0x75, 0x65, 0x52, 0x06, 0x73, 0x74,
	0x61, 0x74, 0x75, 0x73, 0x12, 0x48, 0x0a, 0x0e, 0x70, 0x72, 0x6f, 0x64, 0x75, 0x63, 0x74, 0x5f,
	0x66, 0x69, 0x6c, 0x74, 0x65, 0x72, 0x18, 0x03, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x21, 0x2e, 0x66,
	0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65,
	0x72, 0x2e, 0x50, 0x72, 0x6f, 0x64, 0x75, 0x63, 0x74, 0x46, 0x69, 0x6c, 0x74, 0x65, 0x72, 0x52,
	0x0d, 0x70, 0x72, 0x6f, 0x64, 0x75, 0x63, 0x74, 0x46, 0x69, 0x6c, 0x74, 0x65, 0x72, 0x12, 0x53,
	0x0a, 0x10, 0x63, 0x6f, 0x6e, 0x64, 0x69, 0x74, 0x69, 0x6f, 0x6e, 0x5f, 0x66, 0x69, 0x6c, 0x74,
	0x65, 0x72, 0x18, 0x04, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x28, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f,
	0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x4f, 0x72,
	0x64, 0x65, 0x72, 0x43, 0x6f, 0x6e, 0x64, 0x69, 0x74, 0x69, 0x6f, 0x6e, 0x46, 0x69, 0x6c, 0x74,
	0x65, 0x72, 0x52, 0x0f, 0x63, 0x6f, 0x6e, 0x64, 0x69, 0x74, 0x69, 0x6f, 0x6e, 0x46, 0x69, 0x6c,
	0x74, 0x65, 0x72, 0x12, 0x3e, 0x0a, 0x0b, 0x64, 0x65, 0x73, 0x63, 0x72, 0x69, 0x70, 0x74, 0x69,
	0x6f, 0x6e, 0x18, 0x05, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1c, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c,
	0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e, 0x53, 0x74, 0x72, 0x69, 0x6e,
	0x67, 0x56, 0x61, 0x6c, 0x75, 0x65, 0x52, 0x0b, 0x64, 0x65, 0x73, 0x63, 0x72, 0x69, 0x70, 0x74,
	0x69, 0x6f, 0x6e, 0x12, 0x30, 0x0a, 0x04, 0x6e, 0x61, 0x6d, 0x65, 0x18, 0x06, 0x20, 0x01, 0x28,
	0x0b, 0x32, 0x1c, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f,
	0x62, 0x75, 0x66, 0x2e, 0x53, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x56, 0x61, 0x6c, 0x75, 0x65, 0x52,
	0x04, 0x6e, 0x61, 0x6d, 0x65, 0x12, 0x37, 0x0a, 0x07, 0x75, 0x70, 0x64, 0x61, 0x74, 0x65, 0x64,
	0x18, 0x0c, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1d, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64,
	0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x54, 0x69, 0x6d, 0x65,
	0x52, 0x61, 0x6e, 0x67, 0x65, 0x52, 0x07, 0x75, 0x70, 0x64, 0x61, 0x74, 0x65, 0x64, 0x12, 0x3f,
	0x0a, 0x0c, 0x63, 0x72, 0x65, 0x61, 0x74, 0x65, 0x64, 0x5f, 0x6e, 0x61, 0x6d, 0x65, 0x18, 0x0d,
	0x20, 0x01, 0x28, 0x0b, 0x32, 0x1c, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72,
	0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e, 0x53, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x56, 0x61, 0x6c,
	0x75, 0x65, 0x52, 0x0b, 0x63, 0x72, 0x65, 0x61, 0x74, 0x65, 0x64, 0x4e, 0x61, 0x6d, 0x65, 0x12,
	0x37, 0x0a, 0x07, 0x63, 0x72, 0x65, 0x61, 0x74, 0x65, 0x64, 0x18, 0x0e, 0x20, 0x01, 0x28, 0x0b,
	0x32, 0x1d, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e,
	0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x54, 0x69, 0x6d, 0x65, 0x52, 0x61, 0x6e, 0x67, 0x65, 0x52,
	0x07, 0x63, 0x72, 0x65, 0x61, 0x74, 0x65, 0x64, 0x4a, 0x04, 0x08, 0x01, 0x10, 0x02, 0x4a, 0x04,
	0x08, 0x07, 0x10, 0x0c, 0x22, 0xc9, 0x01, 0x0a, 0x10, 0x4c, 0x69, 0x73, 0x74, 0x4f, 0x72, 0x64,
	0x65, 0x72, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x37, 0x0a, 0x06, 0x66, 0x69, 0x6c,
	0x74, 0x65, 0x72, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1f, 0x2e, 0x66, 0x63, 0x70, 0x2e,
	0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x4f,
	0x72, 0x64, 0x65, 0x72, 0x46, 0x69, 0x6c, 0x74, 0x65, 0x72, 0x52, 0x06, 0x66, 0x69, 0x6c, 0x74,
	0x65, 0x72, 0x12, 0x35, 0x0a, 0x07, 0x73, 0x6f, 0x72, 0x74, 0x69, 0x6e, 0x67, 0x18, 0x02, 0x20,
	0x03, 0x28, 0x0b, 0x32, 0x1b, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e,
	0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x53, 0x6f, 0x72, 0x74, 0x69, 0x6e, 0x67,
	0x52, 0x07, 0x73, 0x6f, 0x72, 0x74, 0x69, 0x6e, 0x67, 0x12, 0x45, 0x0a, 0x0a, 0x70, 0x61, 0x67,
	0x69, 0x6e, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x18, 0x03, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x25, 0x2e,
	0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64,
	0x65, 0x72, 0x2e, 0x50, 0x61, 0x67, 0x69, 0x6e, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x52, 0x65, 0x71,
	0x75, 0x65, 0x73, 0x74, 0x52, 0x0a, 0x70, 0x61, 0x67, 0x69, 0x6e, 0x61, 0x74, 0x69, 0x6f, 0x6e,
	0x22, 0x8c, 0x01, 0x0a, 0x11, 0x4c, 0x69, 0x73, 0x74, 0x4f, 0x72, 0x64, 0x65, 0x72, 0x52, 0x65,
	0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x2f, 0x0a, 0x05, 0x69, 0x74, 0x65, 0x6d, 0x73, 0x18,
	0x01, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x19, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65,
	0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x4f, 0x72, 0x64, 0x65, 0x72,
	0x52, 0x05, 0x69, 0x74, 0x65, 0x6d, 0x73, 0x12, 0x46, 0x0a, 0x0a, 0x70, 0x61, 0x67, 0x69, 0x6e,
	0x61, 0x74, 0x69, 0x6f, 0x6e, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x26, 0x2e, 0x66, 0x63,
	0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72,
	0x2e, 0x50, 0x61, 0x67, 0x69, 0x6e, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x52, 0x65, 0x73, 0x70, 0x6f,
	0x6e, 0x73, 0x65, 0x52, 0x0a, 0x70, 0x61, 0x67, 0x69, 0x6e, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x22,
	0x21, 0x0a, 0x0f, 0x47, 0x65, 0x74, 0x4f, 0x72, 0x64, 0x65, 0x72, 0x52, 0x65, 0x71, 0x75, 0x65,
	0x73, 0x74, 0x12, 0x0e, 0x0a, 0x02, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x03, 0x52, 0x02,
	0x69, 0x64, 0x22, 0xbf, 0x03, 0x0a, 0x10, 0x47, 0x65, 0x74, 0x4f, 0x72, 0x64, 0x65, 0x72, 0x52,
	0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x2d, 0x0a, 0x04, 0x69, 0x74, 0x65, 0x6d, 0x18,
	0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x19, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65,
	0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x4f, 0x72, 0x64, 0x65, 0x72,
	0x52, 0x04, 0x69, 0x74, 0x65, 0x6d, 0x12, 0x4d, 0x0a, 0x0f, 0x72, 0x65, 0x73, 0x6f, 0x75, 0x72,
	0x63, 0x65, 0x73, 0x5f, 0x73, 0x65, 0x65, 0x64, 0x73, 0x18, 0x64, 0x20, 0x01, 0x28, 0x0b, 0x32,
	0x22, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f,
	0x72, 0x64, 0x65, 0x72, 0x2e, 0x52, 0x65, 0x73, 0x6f, 0x75, 0x72, 0x63, 0x65, 0x73, 0x53, 0x65,
	0x65, 0x64, 0x73, 0x48, 0x00, 0x52, 0x0e, 0x72, 0x65, 0x73, 0x6f, 0x75, 0x72, 0x63, 0x65, 0x73,
	0x53, 0x65, 0x65, 0x64, 0x73, 0x12, 0x59, 0x0a, 0x13, 0x72, 0x65, 0x73, 0x6f, 0x75, 0x72, 0x63,
	0x65, 0x73, 0x5f, 0x66, 0x65, 0x72, 0x74, 0x69, 0x6c, 0x69, 0x7a, 0x65, 0x18, 0x65, 0x20, 0x01,
	0x28, 0x0b, 0x32, 0x26, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76,
	0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x52, 0x65, 0x73, 0x6f, 0x75, 0x72, 0x63, 0x65,
	0x73, 0x46, 0x65, 0x72, 0x74, 0x69, 0x6c, 0x69, 0x7a, 0x65, 0x48, 0x00, 0x52, 0x12, 0x72, 0x65,
	0x73, 0x6f, 0x75, 0x72, 0x63, 0x65, 0x73, 0x46, 0x65, 0x72, 0x74, 0x69, 0x6c, 0x69, 0x7a, 0x65,
	0x12, 0x67, 0x0a, 0x1a, 0x72, 0x65, 0x73, 0x6f, 0x75, 0x72, 0x63, 0x65, 0x73, 0x5f, 0x6d, 0x69,
	0x63, 0x72, 0x6f, 0x66, 0x65, 0x72, 0x74, 0x69, 0x6c, 0x69, 0x7a, 0x65, 0x72, 0x73, 0x18, 0x66,
	0x20, 0x01, 0x28, 0x0b, 0x32, 0x26, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72,
	0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x52, 0x65, 0x73, 0x6f, 0x75, 0x72,
	0x63, 0x65, 0x73, 0x46, 0x65, 0x72, 0x74, 0x69, 0x6c, 0x69, 0x7a, 0x65, 0x48, 0x00, 0x52, 0x19,
	0x72, 0x65, 0x73, 0x6f, 0x75, 0x72, 0x63, 0x65, 0x73, 0x4d, 0x69, 0x63, 0x72, 0x6f, 0x66, 0x65,
	0x72, 0x74, 0x69, 0x6c, 0x69, 0x7a, 0x65, 0x72, 0x73, 0x12, 0x59, 0x0a, 0x13, 0x72, 0x65, 0x73,
	0x6f, 0x75, 0x72, 0x63, 0x65, 0x73, 0x5f, 0x63, 0x68, 0x65, 0x6d, 0x69, 0x73, 0x74, 0x72, 0x79,
	0x18, 0x67, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x26, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64,
	0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x52, 0x65, 0x73, 0x6f,
	0x75, 0x72, 0x63, 0x65, 0x73, 0x43, 0x68, 0x65, 0x6d, 0x69, 0x73, 0x74, 0x72, 0x79, 0x48, 0x00,
	0x52, 0x12, 0x72, 0x65, 0x73, 0x6f, 0x75, 0x72, 0x63, 0x65, 0x73, 0x43, 0x68, 0x65, 0x6d, 0x69,
	0x73, 0x74, 0x72, 0x79, 0x42, 0x08, 0x0a, 0x06, 0x64, 0x65, 0x74, 0x61, 0x69, 0x6c, 0x4a, 0x04,
	0x08, 0x02, 0x10, 0x64, 0x22, 0x52, 0x0a, 0x17, 0x4c, 0x69, 0x73, 0x74, 0x4f, 0x72, 0x64, 0x65,
	0x72, 0x50, 0x72, 0x6f, 0x63, 0x65, 0x73, 0x73, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12,
	0x37, 0x0a, 0x06, 0x66, 0x69, 0x6c, 0x74, 0x65, 0x72, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32,
	0x1f, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f,
	0x72, 0x64, 0x65, 0x72, 0x2e, 0x4f, 0x72, 0x64, 0x65, 0x72, 0x46, 0x69, 0x6c, 0x74, 0x65, 0x72,
	0x52, 0x06, 0x66, 0x69, 0x6c, 0x74, 0x65, 0x72, 0x22, 0x56, 0x0a, 0x1b, 0x4c, 0x69, 0x73, 0x74,
	0x4f, 0x72, 0x64, 0x65, 0x72, 0x50, 0x72, 0x6f, 0x63, 0x65, 0x73, 0x73, 0x54, 0x79, 0x70, 0x65,
	0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x37, 0x0a, 0x06, 0x66, 0x69, 0x6c, 0x74, 0x65,
	0x72, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1f, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72,
	0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x4f, 0x72, 0x64,
	0x65, 0x72, 0x46, 0x69, 0x6c, 0x74, 0x65, 0x72, 0x52, 0x06, 0x66, 0x69, 0x6c, 0x74, 0x65, 0x72,
	0x22, 0x5c, 0x0a, 0x21, 0x4c, 0x69, 0x73, 0x74, 0x4f, 0x72, 0x64, 0x65, 0x72, 0x44, 0x65, 0x6c,
	0x69, 0x76, 0x65, 0x72, 0x79, 0x43, 0x6f, 0x6e, 0x64, 0x69, 0x74, 0x69, 0x6f, 0x6e, 0x52, 0x65,
	0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x37, 0x0a, 0x06, 0x66, 0x69, 0x6c, 0x74, 0x65, 0x72, 0x18,
	0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1f, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65,
	0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x4f, 0x72, 0x64, 0x65, 0x72,
	0x46, 0x69, 0x6c, 0x74, 0x65, 0x72, 0x52, 0x06, 0x66, 0x69, 0x6c, 0x74, 0x65, 0x72, 0x22, 0x5b,
	0x0a, 0x20, 0x4c, 0x69, 0x73, 0x74, 0x4f, 0x72, 0x64, 0x65, 0x72, 0x50, 0x61, 0x79, 0x6d, 0x65,
	0x6e, 0x74, 0x43, 0x6f, 0x6e, 0x64, 0x69, 0x74, 0x69, 0x6f, 0x6e, 0x52, 0x65, 0x71, 0x75, 0x65,
	0x73, 0x74, 0x12, 0x37, 0x0a, 0x06, 0x66, 0x69, 0x6c, 0x74, 0x65, 0x72, 0x18, 0x01, 0x20, 0x01,
	0x28, 0x0b, 0x32, 0x1f, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76,
	0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x4f, 0x72, 0x64, 0x65, 0x72, 0x46, 0x69, 0x6c,
	0x74, 0x65, 0x72, 0x52, 0x06, 0x66, 0x69, 0x6c, 0x74, 0x65, 0x72, 0x22, 0x53, 0x0a, 0x18, 0x4c,
	0x69, 0x73, 0x74, 0x4f, 0x72, 0x64, 0x65, 0x72, 0x43, 0x61, 0x74, 0x65, 0x67, 0x6f, 0x72, 0x79,
	0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x37, 0x0a, 0x06, 0x66, 0x69, 0x6c, 0x74, 0x65,
	0x72, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1f, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72,
	0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x4f, 0x72, 0x64,
	0x65, 0x72, 0x46, 0x69, 0x6c, 0x74, 0x65, 0x72, 0x52, 0x06, 0x66, 0x69, 0x6c, 0x74, 0x65, 0x72,
	0x22, 0x50, 0x0a, 0x15, 0x4c, 0x69, 0x73, 0x74, 0x4f, 0x72, 0x64, 0x65, 0x72, 0x42, 0x72, 0x61,
	0x6e, 0x64, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x37, 0x0a, 0x06, 0x66, 0x69, 0x6c,
	0x74, 0x65, 0x72, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1f, 0x2e, 0x66, 0x63, 0x70, 0x2e,
	0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x4f,
	0x72, 0x64, 0x65, 0x72, 0x46, 0x69, 0x6c, 0x74, 0x65, 0x72, 0x52, 0x06, 0x66, 0x69, 0x6c, 0x74,
	0x65, 0x72, 0x22, 0x52, 0x0a, 0x17, 0x4c, 0x69, 0x73, 0x74, 0x4f, 0x72, 0x64, 0x65, 0x72, 0x50,
	0x72, 0x6f, 0x64, 0x75, 0x63, 0x74, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x37, 0x0a,
	0x06, 0x66, 0x69, 0x6c, 0x74, 0x65, 0x72, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1f, 0x2e,
	0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64,
	0x65, 0x72, 0x2e, 0x4f, 0x72, 0x64, 0x65, 0x72, 0x46, 0x69, 0x6c, 0x74, 0x65, 0x72, 0x52, 0x06,
	0x66, 0x69, 0x6c, 0x74, 0x65, 0x72, 0x22, 0x57, 0x0a, 0x1c, 0x4c, 0x69, 0x73, 0x74, 0x4f, 0x72,
	0x64, 0x65, 0x72, 0x51, 0x75, 0x61, 0x6e, 0x74, 0x69, 0x74, 0x79, 0x54, 0x79, 0x70, 0x65, 0x52,
	0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x37, 0x0a, 0x06, 0x66, 0x69, 0x6c, 0x74, 0x65, 0x72,
	0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1f, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64,
	0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x4f, 0x72, 0x64, 0x65,
	0x72, 0x46, 0x69, 0x6c, 0x74, 0x65, 0x72, 0x52, 0x06, 0x66, 0x69, 0x6c, 0x74, 0x65, 0x72, 0x22,
	0xa6, 0x04, 0x0a, 0x15, 0x4c, 0x69, 0x73, 0x74, 0x4f, 0x72, 0x64, 0x65, 0x72, 0x4e, 0x61, 0x6d,
	0x65, 0x73, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x3c, 0x0a, 0x09, 0x70, 0x72, 0x6f,
	0x63, 0x65, 0x73, 0x73, 0x65, 0x73, 0x18, 0x01, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x1e, 0x2e, 0x66,
	0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65,
	0x72, 0x2e, 0x4e, 0x61, 0x6d, 0x65, 0x46, 0x69, 0x6c, 0x74, 0x65, 0x72, 0x52, 0x09, 0x70, 0x72,
	0x6f, 0x63, 0x65, 0x73, 0x73, 0x65, 0x73, 0x12, 0x34, 0x0a, 0x05, 0x74, 0x79, 0x70, 0x65, 0x73,
	0x18, 0x02, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x1e, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64,
	0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x4e, 0x61, 0x6d, 0x65,
	0x46, 0x69, 0x6c, 0x74, 0x65, 0x72, 0x52, 0x05, 0x74, 0x79, 0x70, 0x65, 0x73, 0x12, 0x4f, 0x0a,
	0x13, 0x64, 0x65, 0x6c, 0x69, 0x76, 0x65, 0x72, 0x79, 0x5f, 0x63, 0x6f, 0x6e, 0x64, 0x69, 0x74,
	0x69, 0x6f, 0x6e, 0x73, 0x18, 0x03, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x1e, 0x2e, 0x66, 0x63, 0x70,
	0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e,
	0x4e, 0x61, 0x6d, 0x65, 0x46, 0x69, 0x6c, 0x74, 0x65, 0x72, 0x52, 0x12, 0x64, 0x65, 0x6c, 0x69,
	0x76, 0x65, 0x72, 0x79, 0x43, 0x6f, 0x6e, 0x64, 0x69, 0x74, 0x69, 0x6f, 0x6e, 0x73, 0x12, 0x4d,
	0x0a, 0x12, 0x70, 0x61, 0x79, 0x6d, 0x65, 0x6e, 0x74, 0x5f, 0x63, 0x6f, 0x6e, 0x64, 0x69, 0x74,
	0x69, 0x6f, 0x6e, 0x73, 0x18, 0x04, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x1e, 0x2e, 0x66, 0x63, 0x70,
	0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e,
	0x4e, 0x61, 0x6d, 0x65, 0x46, 0x69, 0x6c, 0x74, 0x65, 0x72, 0x52, 0x11, 0x70, 0x61, 0x79, 0x6d,
	0x65, 0x6e, 0x74, 0x43, 0x6f, 0x6e, 0x64, 0x69, 0x74, 0x69, 0x6f, 0x6e, 0x73, 0x12, 0x3e, 0x0a,
	0x0a, 0x63, 0x61, 0x74, 0x65, 0x67, 0x6f, 0x72, 0x69, 0x65, 0x73, 0x18, 0x05, 0x20, 0x03, 0x28,
	0x0b, 0x32, 0x1e, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31,
	0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x4e, 0x61, 0x6d, 0x65, 0x46, 0x69, 0x6c, 0x74, 0x65,
	0x72, 0x52, 0x0a, 0x63, 0x61, 0x74, 0x65, 0x67, 0x6f, 0x72, 0x69, 0x65, 0x73, 0x12, 0x36, 0x0a,
	0x06, 0x62, 0x72, 0x61, 0x6e, 0x64, 0x73, 0x18, 0x06, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x1e, 0x2e,
	0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64,
	0x65, 0x72, 0x2e, 0x4e, 0x61, 0x6d, 0x65, 0x46, 0x69, 0x6c, 0x74, 0x65, 0x72, 0x52, 0x06, 0x62,
	0x72, 0x61, 0x6e, 0x64, 0x73, 0x12, 0x3a, 0x0a, 0x08, 0x70, 0x72, 0x6f, 0x64, 0x75, 0x63, 0x74,
	0x73, 0x18, 0x07, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x1e, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72,
	0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x4e, 0x61, 0x6d,
	0x65, 0x46, 0x69, 0x6c, 0x74, 0x65, 0x72, 0x52, 0x08, 0x70, 0x72, 0x6f, 0x64, 0x75, 0x63, 0x74,
	0x73, 0x12, 0x45, 0x0a, 0x0e, 0x71, 0x75, 0x61, 0x6e, 0x74, 0x69, 0x74, 0x79, 0x5f, 0x74, 0x79,
	0x70, 0x65, 0x73, 0x18, 0x08, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x1e, 0x2e, 0x66, 0x63, 0x70, 0x2e,
	0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x4e,
	0x61, 0x6d, 0x65, 0x46, 0x69, 0x6c, 0x74, 0x65, 0x72, 0x52, 0x0d, 0x71, 0x75, 0x61, 0x6e, 0x74,
	0x69, 0x74, 0x79, 0x54, 0x79, 0x70, 0x65, 0x73, 0x22, 0x97, 0x04, 0x0a, 0x16, 0x4c, 0x69, 0x73,
	0x74, 0x4f, 0x72, 0x64, 0x65, 0x72, 0x4e, 0x61, 0x6d, 0x65, 0x73, 0x52, 0x65, 0x73, 0x70, 0x6f,
	0x6e, 0x73, 0x65, 0x12, 0x3a, 0x0a, 0x09, 0x70, 0x72, 0x6f, 0x63, 0x65, 0x73, 0x73, 0x65, 0x73,
	0x18, 0x01, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x1c, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64,
	0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x44, 0x69, 0x63, 0x74,
	0x49, 0x74, 0x65, 0x6d, 0x52, 0x09, 0x70, 0x72, 0x6f, 0x63, 0x65, 0x73, 0x73, 0x65, 0x73, 0x12,
	0x32, 0x0a, 0x05, 0x74, 0x79, 0x70, 0x65, 0x73, 0x18, 0x02, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x1c,
	0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72,
	0x64, 0x65, 0x72, 0x2e, 0x44, 0x69, 0x63, 0x74, 0x49, 0x74, 0x65, 0x6d, 0x52, 0x05, 0x74, 0x79,
	0x70, 0x65, 0x73, 0x12, 0x4d, 0x0a, 0x13, 0x64, 0x65, 0x6c, 0x69, 0x76, 0x65, 0x72, 0x79, 0x5f,
	0x63, 0x6f, 0x6e, 0x64, 0x69, 0x74, 0x69, 0x6f, 0x6e, 0x73, 0x18, 0x03, 0x20, 0x03, 0x28, 0x0b,
	0x32, 0x1c, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e,
	0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x44, 0x69, 0x63, 0x74, 0x49, 0x74, 0x65, 0x6d, 0x52, 0x12,
	0x64, 0x65, 0x6c, 0x69, 0x76, 0x65, 0x72, 0x79, 0x43, 0x6f, 0x6e, 0x64, 0x69, 0x74, 0x69, 0x6f,
	0x6e, 0x73, 0x12, 0x4b, 0x0a, 0x12, 0x70, 0x61, 0x79, 0x6d, 0x65, 0x6e, 0x74, 0x5f, 0x63, 0x6f,
	0x6e, 0x64, 0x69, 0x74, 0x69, 0x6f, 0x6e, 0x73, 0x18, 0x04, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x1c,
	0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72,
	0x64, 0x65, 0x72, 0x2e, 0x44, 0x69, 0x63, 0x74, 0x49, 0x74, 0x65, 0x6d, 0x52, 0x11, 0x70, 0x61,
	0x79, 0x6d, 0x65, 0x6e, 0x74, 0x43, 0x6f, 0x6e, 0x64, 0x69, 0x74, 0x69, 0x6f, 0x6e, 0x73, 0x12,
	0x3c, 0x0a, 0x0a, 0x63, 0x61, 0x74, 0x65, 0x67, 0x6f, 0x72, 0x69, 0x65, 0x73, 0x18, 0x05, 0x20,
	0x03, 0x28, 0x0b, 0x32, 0x1c, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e,
	0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x44, 0x69, 0x63, 0x74, 0x49, 0x74, 0x65,
	0x6d, 0x52, 0x0a, 0x63, 0x61, 0x74, 0x65, 0x67, 0x6f, 0x72, 0x69, 0x65, 0x73, 0x12, 0x34, 0x0a,
	0x06, 0x62, 0x72, 0x61, 0x6e, 0x64, 0x73, 0x18, 0x06, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x1c, 0x2e,
	0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64,
	0x65, 0x72, 0x2e, 0x44, 0x69, 0x63, 0x74, 0x49, 0x74, 0x65, 0x6d, 0x52, 0x06, 0x62, 0x72, 0x61,
	0x6e, 0x64, 0x73, 0x12, 0x38, 0x0a, 0x08, 0x70, 0x72, 0x6f, 0x64, 0x75, 0x63, 0x74, 0x73, 0x18,
	0x07, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x1c, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65,
	0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x44, 0x69, 0x63, 0x74, 0x49,
	0x74, 0x65, 0x6d, 0x52, 0x08, 0x70, 0x72, 0x6f, 0x64, 0x75, 0x63, 0x74, 0x73, 0x12, 0x43, 0x0a,
	0x0e, 0x71, 0x75, 0x61, 0x6e, 0x74, 0x69, 0x74, 0x79, 0x5f, 0x74, 0x79, 0x70, 0x65, 0x73, 0x18,
	0x08, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x1c, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65,
	0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x44, 0x69, 0x63, 0x74, 0x49,
	0x74, 0x65, 0x6d, 0x52, 0x0d, 0x71, 0x75, 0x61, 0x6e, 0x74, 0x69, 0x74, 0x79, 0x54, 0x79, 0x70,
	0x65, 0x73, 0x42, 0x4e, 0x0a, 0x15, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x61, 0x70,
	0x69, 0x73, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x50, 0x01, 0x5a, 0x30, 0x67,
	0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x63, 0x6f, 0x6d, 0x2f, 0x61, 0x64, 0x68, 0x6f, 0x63, 0x67,
	0x75, 0x72, 0x75, 0x2f, 0x66, 0x63, 0x70, 0x2f, 0x61, 0x70, 0x69, 0x73, 0x2f, 0x67, 0x65, 0x6e,
	0x2f, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2f, 0x76, 0x31, 0x2f, 0x6f, 0x72, 0x64, 0x65, 0x72, 0xba,
	0x02, 0x00, 0x62, 0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_v1_order_model_order_proto_rawDescOnce sync.Once
	file_v1_order_model_order_proto_rawDescData = file_v1_order_model_order_proto_rawDesc
)

func file_v1_order_model_order_proto_rawDescGZIP() []byte {
	file_v1_order_model_order_proto_rawDescOnce.Do(func() {
		file_v1_order_model_order_proto_rawDescData = protoimpl.X.CompressGZIP(file_v1_order_model_order_proto_rawDescData)
	})
	return file_v1_order_model_order_proto_rawDescData
}

var file_v1_order_model_order_proto_enumTypes = make([]protoimpl.EnumInfo, 1)
var file_v1_order_model_order_proto_msgTypes = make([]protoimpl.MessageInfo, 20)
var file_v1_order_model_order_proto_goTypes = []interface{}{
	(Order_Status)(0),                         // 0: fcp.order.v1.order.Order.Status
	(*OrderCondition)(nil),                    // 1: fcp.order.v1.order.OrderCondition
	(*OrderConditionFilter)(nil),              // 2: fcp.order.v1.order.OrderConditionFilter
	(*OrderResult)(nil),                       // 3: fcp.order.v1.order.OrderResult
	(*Order)(nil),                             // 4: fcp.order.v1.order.Order
	(*OrderFilter)(nil),                       // 5: fcp.order.v1.order.OrderFilter
	(*ListOrderRequest)(nil),                  // 6: fcp.order.v1.order.ListOrderRequest
	(*ListOrderResponse)(nil),                 // 7: fcp.order.v1.order.ListOrderResponse
	(*GetOrderRequest)(nil),                   // 8: fcp.order.v1.order.GetOrderRequest
	(*GetOrderResponse)(nil),                  // 9: fcp.order.v1.order.GetOrderResponse
	(*ListOrderProcessRequest)(nil),           // 10: fcp.order.v1.order.ListOrderProcessRequest
	(*ListOrderProcessTypeRequest)(nil),       // 11: fcp.order.v1.order.ListOrderProcessTypeRequest
	(*ListOrderDeliveryConditionRequest)(nil), // 12: fcp.order.v1.order.ListOrderDeliveryConditionRequest
	(*ListOrderPaymentConditionRequest)(nil),  // 13: fcp.order.v1.order.ListOrderPaymentConditionRequest
	(*ListOrderCategoryRequest)(nil),          // 14: fcp.order.v1.order.ListOrderCategoryRequest
	(*ListOrderBrandRequest)(nil),             // 15: fcp.order.v1.order.ListOrderBrandRequest
	(*ListOrderProductRequest)(nil),           // 16: fcp.order.v1.order.ListOrderProductRequest
	(*ListOrderQuantityTypeRequest)(nil),      // 17: fcp.order.v1.order.ListOrderQuantityTypeRequest
	(*ListOrderNamesRequest)(nil),             // 18: fcp.order.v1.order.ListOrderNamesRequest
	(*ListOrderNamesResponse)(nil),            // 19: fcp.order.v1.order.ListOrderNamesResponse
	(*Order_StatusValue)(nil),                 // 20: fcp.order.v1.order.Order.StatusValue
	(DeliveryCondition)(0),                    // 21: fcp.order.v1.order.DeliveryCondition
	(*timestamp.Timestamp)(nil),               // 22: google.protobuf.Timestamp
	(PaymentCondition)(0),                     // 23: fcp.order.v1.order.PaymentCondition
	(*TimeRange)(nil),                         // 24: fcp.order.v1.order.TimeRange
	(*wrappers.BoolValue)(nil),                // 25: google.protobuf.BoolValue
	(*OperationIdent)(nil),                    // 26: fcp.order.v1.order.OperationIdent
	(*Product)(nil),                           // 27: fcp.order.v1.order.Product
	(*Audit)(nil),                             // 28: fcp.order.v1.order.Audit
	(*ProductFilter)(nil),                     // 29: fcp.order.v1.order.ProductFilter
	(*wrappers.StringValue)(nil),              // 30: google.protobuf.StringValue
	(*Sorting)(nil),                           // 31: fcp.order.v1.order.Sorting
	(*PaginationRequest)(nil),                 // 32: fcp.order.v1.order.PaginationRequest
	(*PaginationResponse)(nil),                // 33: fcp.order.v1.order.PaginationResponse
	(*ResourcesSeeds)(nil),                    // 34: fcp.order.v1.order.ResourcesSeeds
	(*ResourcesFertilize)(nil),                // 35: fcp.order.v1.order.ResourcesFertilize
	(*ResourcesChemistry)(nil),                // 36: fcp.order.v1.order.ResourcesChemistry
	(*NameFilter)(nil),                        // 37: fcp.order.v1.order.NameFilter
	(*DictItem)(nil),                          // 38: fcp.order.v1.order.DictItem
}
var file_v1_order_model_order_proto_depIdxs = []int32{
	21, // 0: fcp.order.v1.order.OrderCondition.delivery_condition:type_name -> fcp.order.v1.order.DeliveryCondition
	22, // 1: fcp.order.v1.order.OrderCondition.delivery_date:type_name -> google.protobuf.Timestamp
	23, // 2: fcp.order.v1.order.OrderCondition.payment_condition:type_name -> fcp.order.v1.order.PaymentCondition
	22, // 3: fcp.order.v1.order.OrderCondition.payment_date:type_name -> google.protobuf.Timestamp
	22, // 4: fcp.order.v1.order.OrderCondition.expired_date:type_name -> google.protobuf.Timestamp
	21, // 5: fcp.order.v1.order.OrderConditionFilter.delivery_condition:type_name -> fcp.order.v1.order.DeliveryCondition
	24, // 6: fcp.order.v1.order.OrderConditionFilter.delivery_date:type_name -> fcp.order.v1.order.TimeRange
	23, // 7: fcp.order.v1.order.OrderConditionFilter.payment_condition:type_name -> fcp.order.v1.order.PaymentCondition
	24, // 8: fcp.order.v1.order.OrderConditionFilter.payment_date:type_name -> fcp.order.v1.order.TimeRange
	24, // 9: fcp.order.v1.order.OrderConditionFilter.expired_date:type_name -> fcp.order.v1.order.TimeRange
	25, // 10: fcp.order.v1.order.OrderConditionFilter.alternatives:type_name -> google.protobuf.BoolValue
	25, // 11: fcp.order.v1.order.OrderConditionFilter.consulting:type_name -> google.protobuf.BoolValue
	26, // 12: fcp.order.v1.order.OrderResult.offer:type_name -> fcp.order.v1.order.OperationIdent
	26, // 13: fcp.order.v1.order.OrderResult.deal:type_name -> fcp.order.v1.order.OperationIdent
	0,  // 14: fcp.order.v1.order.Order.status:type_name -> fcp.order.v1.order.Order.Status
	27, // 15: fcp.order.v1.order.Order.product:type_name -> fcp.order.v1.order.Product
	1,  // 16: fcp.order.v1.order.Order.condition:type_name -> fcp.order.v1.order.OrderCondition
	3,  // 17: fcp.order.v1.order.Order.result:type_name -> fcp.order.v1.order.OrderResult
	28, // 18: fcp.order.v1.order.Order.audit:type_name -> fcp.order.v1.order.Audit
	20, // 19: fcp.order.v1.order.OrderFilter.status:type_name -> fcp.order.v1.order.Order.StatusValue
	29, // 20: fcp.order.v1.order.OrderFilter.product_filter:type_name -> fcp.order.v1.order.ProductFilter
	2,  // 21: fcp.order.v1.order.OrderFilter.condition_filter:type_name -> fcp.order.v1.order.OrderConditionFilter
	30, // 22: fcp.order.v1.order.OrderFilter.description:type_name -> google.protobuf.StringValue
	30, // 23: fcp.order.v1.order.OrderFilter.name:type_name -> google.protobuf.StringValue
	24, // 24: fcp.order.v1.order.OrderFilter.updated:type_name -> fcp.order.v1.order.TimeRange
	30, // 25: fcp.order.v1.order.OrderFilter.created_name:type_name -> google.protobuf.StringValue
	24, // 26: fcp.order.v1.order.OrderFilter.created:type_name -> fcp.order.v1.order.TimeRange
	5,  // 27: fcp.order.v1.order.ListOrderRequest.filter:type_name -> fcp.order.v1.order.OrderFilter
	31, // 28: fcp.order.v1.order.ListOrderRequest.sorting:type_name -> fcp.order.v1.order.Sorting
	32, // 29: fcp.order.v1.order.ListOrderRequest.pagination:type_name -> fcp.order.v1.order.PaginationRequest
	4,  // 30: fcp.order.v1.order.ListOrderResponse.items:type_name -> fcp.order.v1.order.Order
	33, // 31: fcp.order.v1.order.ListOrderResponse.pagination:type_name -> fcp.order.v1.order.PaginationResponse
	4,  // 32: fcp.order.v1.order.GetOrderResponse.item:type_name -> fcp.order.v1.order.Order
	34, // 33: fcp.order.v1.order.GetOrderResponse.resources_seeds:type_name -> fcp.order.v1.order.ResourcesSeeds
	35, // 34: fcp.order.v1.order.GetOrderResponse.resources_fertilize:type_name -> fcp.order.v1.order.ResourcesFertilize
	35, // 35: fcp.order.v1.order.GetOrderResponse.resources_microfertilizers:type_name -> fcp.order.v1.order.ResourcesFertilize
	36, // 36: fcp.order.v1.order.GetOrderResponse.resources_chemistry:type_name -> fcp.order.v1.order.ResourcesChemistry
	5,  // 37: fcp.order.v1.order.ListOrderProcessRequest.filter:type_name -> fcp.order.v1.order.OrderFilter
	5,  // 38: fcp.order.v1.order.ListOrderProcessTypeRequest.filter:type_name -> fcp.order.v1.order.OrderFilter
	5,  // 39: fcp.order.v1.order.ListOrderDeliveryConditionRequest.filter:type_name -> fcp.order.v1.order.OrderFilter
	5,  // 40: fcp.order.v1.order.ListOrderPaymentConditionRequest.filter:type_name -> fcp.order.v1.order.OrderFilter
	5,  // 41: fcp.order.v1.order.ListOrderCategoryRequest.filter:type_name -> fcp.order.v1.order.OrderFilter
	5,  // 42: fcp.order.v1.order.ListOrderBrandRequest.filter:type_name -> fcp.order.v1.order.OrderFilter
	5,  // 43: fcp.order.v1.order.ListOrderProductRequest.filter:type_name -> fcp.order.v1.order.OrderFilter
	5,  // 44: fcp.order.v1.order.ListOrderQuantityTypeRequest.filter:type_name -> fcp.order.v1.order.OrderFilter
	37, // 45: fcp.order.v1.order.ListOrderNamesRequest.processes:type_name -> fcp.order.v1.order.NameFilter
	37, // 46: fcp.order.v1.order.ListOrderNamesRequest.types:type_name -> fcp.order.v1.order.NameFilter
	37, // 47: fcp.order.v1.order.ListOrderNamesRequest.delivery_conditions:type_name -> fcp.order.v1.order.NameFilter
	37, // 48: fcp.order.v1.order.ListOrderNamesRequest.payment_conditions:type_name -> fcp.order.v1.order.NameFilter
	37, // 49: fcp.order.v1.order.ListOrderNamesRequest.categories:type_name -> fcp.order.v1.order.NameFilter
	37, // 50: fcp.order.v1.order.ListOrderNamesRequest.brands:type_name -> fcp.order.v1.order.NameFilter
	37, // 51: fcp.order.v1.order.ListOrderNamesRequest.products:type_name -> fcp.order.v1.order.NameFilter
	37, // 52: fcp.order.v1.order.ListOrderNamesRequest.quantity_types:type_name -> fcp.order.v1.order.NameFilter
	38, // 53: fcp.order.v1.order.ListOrderNamesResponse.processes:type_name -> fcp.order.v1.order.DictItem
	38, // 54: fcp.order.v1.order.ListOrderNamesResponse.types:type_name -> fcp.order.v1.order.DictItem
	38, // 55: fcp.order.v1.order.ListOrderNamesResponse.delivery_conditions:type_name -> fcp.order.v1.order.DictItem
	38, // 56: fcp.order.v1.order.ListOrderNamesResponse.payment_conditions:type_name -> fcp.order.v1.order.DictItem
	38, // 57: fcp.order.v1.order.ListOrderNamesResponse.categories:type_name -> fcp.order.v1.order.DictItem
	38, // 58: fcp.order.v1.order.ListOrderNamesResponse.brands:type_name -> fcp.order.v1.order.DictItem
	38, // 59: fcp.order.v1.order.ListOrderNamesResponse.products:type_name -> fcp.order.v1.order.DictItem
	38, // 60: fcp.order.v1.order.ListOrderNamesResponse.quantity_types:type_name -> fcp.order.v1.order.DictItem
	0,  // 61: fcp.order.v1.order.Order.StatusValue.value:type_name -> fcp.order.v1.order.Order.Status
	62, // [62:62] is the sub-list for method output_type
	62, // [62:62] is the sub-list for method input_type
	62, // [62:62] is the sub-list for extension type_name
	62, // [62:62] is the sub-list for extension extendee
	0,  // [0:62] is the sub-list for field type_name
}

func init() { file_v1_order_model_order_proto_init() }
func file_v1_order_model_order_proto_init() {
	if File_v1_order_model_order_proto != nil {
		return
	}
	file_v1_order_common_proto_init()
	file_v1_order_enum_proto_init()
	file_v1_order_model_base_proto_init()
	file_v1_order_model_product_proto_init()
	if !protoimpl.UnsafeEnabled {
		file_v1_order_model_order_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*OrderCondition); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_order_model_order_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*OrderConditionFilter); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_order_model_order_proto_msgTypes[2].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*OrderResult); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_order_model_order_proto_msgTypes[3].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Order); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_order_model_order_proto_msgTypes[4].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*OrderFilter); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_order_model_order_proto_msgTypes[5].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ListOrderRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_order_model_order_proto_msgTypes[6].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ListOrderResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_order_model_order_proto_msgTypes[7].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*GetOrderRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_order_model_order_proto_msgTypes[8].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*GetOrderResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_order_model_order_proto_msgTypes[9].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ListOrderProcessRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_order_model_order_proto_msgTypes[10].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ListOrderProcessTypeRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_order_model_order_proto_msgTypes[11].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ListOrderDeliveryConditionRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_order_model_order_proto_msgTypes[12].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ListOrderPaymentConditionRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_order_model_order_proto_msgTypes[13].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ListOrderCategoryRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_order_model_order_proto_msgTypes[14].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ListOrderBrandRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_order_model_order_proto_msgTypes[15].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ListOrderProductRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_order_model_order_proto_msgTypes[16].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ListOrderQuantityTypeRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_order_model_order_proto_msgTypes[17].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ListOrderNamesRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_order_model_order_proto_msgTypes[18].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ListOrderNamesResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_order_model_order_proto_msgTypes[19].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Order_StatusValue); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	file_v1_order_model_order_proto_msgTypes[8].OneofWrappers = []interface{}{
		(*GetOrderResponse_ResourcesSeeds)(nil),
		(*GetOrderResponse_ResourcesFertilize)(nil),
		(*GetOrderResponse_ResourcesMicrofertilizers)(nil),
		(*GetOrderResponse_ResourcesChemistry)(nil),
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_v1_order_model_order_proto_rawDesc,
			NumEnums:      1,
			NumMessages:   20,
			NumExtensions: 0,
			NumServices:   0,
		},
		GoTypes:           file_v1_order_model_order_proto_goTypes,
		DependencyIndexes: file_v1_order_model_order_proto_depIdxs,
		EnumInfos:         file_v1_order_model_order_proto_enumTypes,
		MessageInfos:      file_v1_order_model_order_proto_msgTypes,
	}.Build()
	File_v1_order_model_order_proto = out.File
	file_v1_order_model_order_proto_rawDesc = nil
	file_v1_order_model_order_proto_goTypes = nil
	file_v1_order_model_order_proto_depIdxs = nil
}
